Name:           libmediaart
Version:        1.9.4
Release:        8
Summary:        Library tasked with managing, extracting and handling media art caches

License:        LGPLv2+
URL:            https://gitlab.gnome.org/GNOME/libmediaart
Source0:        https://download.gnome.org/sources/%{name}/1.9/%{name}-%{version}.tar.xz

Patch0:         fix_docker_environment_test_case_failed.patch

BuildRequires:  pkgconfig(glib-2.0) pkgconfig(gio-2.0) pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0) pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  dbus vala vala-devel gdk-pixbuf2-modules

%description
The foundation for manaing, extracing and handling media art caches.

%package        devel
Summary:        Development files for libmediaart
Requires:       %{name}%{?_isa} = %{version}-%{release}
Provides:       libmediaart-tests
Obsoletes:      libmediaart-tests

%description    devel
The libmediaart-devel package is used for the development environment for the libmediaart project.

%package        help
Summary:        help document for libmediaart
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    help
Help document for libmediaart

%prep
%autosetup -p1

%build
%configure --disable-static --enable-gdkpixbuf --disable-qt --enable-installed-tests
%make_build

%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -delete
mv COPYING.LESSER COPYING

%check
dbus-run-session -- make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc COPYING AUTHORS NEWS
%{_libdir}/libmediaart-2.0.so.*
%{_libdir}/girepository-1.0/MediaArt-2.0.typelib

%files devel
%{_datadir}/installed-tests
%{_includedir}/libmediaart-2.0
%{_libexecdir}/installed-tests/libmediaart
%{_libdir}/pkgconfig/libmediaart-2.0.pc
%{_libdir}/libmediaart-2.0.so

%files help
%{_datadir}/gtk-doc/html/libmediaart
%{_datadir}/vala/vapi/libmediaart-2.0.vapi
%{_datadir}/gir-1.0/MediaArt-2.0.gir


%changelog
* Wed Nov 25 2020 xiaqirong <xiaqirong1@huawei.com> - 1.9.4-8
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:fix docker environment test cases failed

* Thu Dec 26 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.9.4-7
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:change the files of spec

* Tue Sep 10 2019 Yiru Wang<wangyiru1@huawei.com> - 1.9.4-6
- Pakcage init
